---
title: Planogram records
slug: planogram-records
docTags: 
createdAt: 2022-04-13T09:35:41.000Z
---

Methods allow you to get a complete list or a specific planogram record  in Eyrene, view information about them, update all fields, or only select planogram record fields. Also, you can delete the planogram record by ID.

***

::::ExpandableHeading{isOpen="true"}
# <font color="#2166ae">GET</font> /planogram\_records

Retrieve a list of planograms records.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/planogram_records/",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "limit",
        "type": "string",
        "description": "The number of results to return per page."
      },
      {
        "kind": "optional",
        "name": "offset",
        "type": "string",
        "description": "The initial index from which to return the results."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "1rlkLKO5JlhTk3S80Ce0g",
        "code": "{\n   \"count\":1,\n   \"next\":\"http://example.com\",\n   \"previous\":null,\n   \"results\":[\n      {\n         \"id\":1,\n         \"rack_index\":0,\n         \"shelf_index\":0,\n         \"product_index\":0,\n         \"facing_x\":6,\n         \"facing_y\":1,\n         \"width\":null,\n         \"height\":null,\n         \"created_at\":\"2018-09-02T18:53:39.743058Z\",\n         \"updated_at\":\"2018-09-02T18:53:39.743081Z\",\n         \"planogram\":32,\n         \"sku\":7386\n      }\n   ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "1rlkLKO5JlhTk3S80Ce0g"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X GET\r\n  https://test.eyrene.com/api/v1.5/planogram_records/\r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \r\n  -F \"limit=3\" \\\r\n  -F \"offset=0\" ",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "GET /planograms_records",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example",
  "legacyHash": "dH38lE8kzI-WRd5qIi2O9"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands#response-definitions)

***

**`count`** *integer*

The number of planogram records.

***

**`next`** *string (uri)* <font color="#2166ae">Nullable</font>

Next page.

***

**`previous`** *string (uri)* <font color="#2166ae">Nullable</font>

Previous page.

***

**`results`** *array of objects*

An array of objects with information about planogram records.

- **`id`** *string*
  Unique ID.
- **`rack_index`** *integer*
  Rack number, from left to right starting from 0.
- **`shelf_index`** *integer*
  Shelf number in the rack, from top to bottom starting from 0.
- **`product_index`** *integer*
  Record position in the planogram. Positions are numbered left to right and top to bottom starting from 0, i.e. top left SKU in the planogram has `product_index = 0` , and the bottom right one has a maximal product\_index.
- **`facing_x`** *integer*
  Number of horizontal SKU facings.
- **`facing_y`** *integer*
  Number of vertical SKU facings (a pile).
- **`width`** *integer*
  Width of product.
- **`height`** *integer*
  Height of product.
- **`planogram`** *string*[
  Planogram](https://docs.eyrene.com/planograms) ID.
- **`sku`** *string*[
  SKU](https://docs.eyrene.com/sku) ID.

***


::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#3b9f0f">POST</font> /planogram\_records

Сreate a new planogram record.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/planogram_records/",
  "name": "Request example",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "rack_index",
        "type": "Number",
        "description": "Rack number, from left to right starting from 0."
      },
      {
        "kind": "optional",
        "name": "shelf_index",
        "type": "Number",
        "description": "Shelf number in the rack, from top to bottom starting from 0."
      },
      {
        "kind": "optional",
        "name": "product_index",
        "type": "Number",
        "description": "Record position in the planogram. Positions are numbered left to right and top to bottom starting from 0, i.e. top left SKU in the planogram has product_index = 0 and bottom right one has a maximal product_index."
      },
      {
        "kind": "optional",
        "name": "facing_x",
        "type": "Integer",
        "description": "Number of horizontal SKU facing."
      },
      {
        "kind": "optional",
        "name": "facing_y",
        "type": "Integer",
        "description": "Number of vertical SKU facings (a pile)."
      },
      {
        "kind": "optional",
        "name": "width",
        "type": "Integer",
        "description": "Width of a product."
      },
      {
        "kind": "optional",
        "name": "height",
        "type": "Integer",
        "description": "Height of a product."
      },
      {
        "kind": "optional",
        "name": "planogram",
        "type": "string",
        "description": "Planogram ID."
      },
      {
        "kind": "optional",
        "name": "sku",
        "type": "string",
        "description": "SKU ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "xcVqafQ2RCx_iOpUkQJ43",
        "code": "{\n   \"result\": \"CREATED\"\n}",
        "language": "201",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "xcVqafQ2RCx_iOpUkQJ43"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X POST\r\n  https://test.eyrene.com/api/v1.5/planograms/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \r\n  -F \"id=3\" \\\r\n  -F \"rack_index=1\" \\\r\n  -F \"shelf_index=0\" \\\r\n  -F \"product_index=7\" \\\r\n  -F \"facing_x=1\" \\\r\n  -F  \"facing_y=null\" \\\r\n  -F  \"width=null\" \\\r\n  -F  \"height=null\" \\\r\n  -F  \"planogram=11\" \\\r\n  -F  \"sku=1512\"\r\n}",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "POST /planogram_records",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-1",
  "legacyHash": "Q3EQJrPIpc6AgPc0pIoBF"
}
```
:::
::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#2166ae">GET</font> /planogram\_records/&#x7B;id}

Retrieve detailed information about the planogram record by ID.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/data/v1.5/planogram_records/{id}",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "Planogram record ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "BcmDi-d9UM-V1Lp9EpJ4I",
        "code": "{\n   \"id\":1,\n   \"rack_index\":0,\n   \"shelf_index\":0,\n   \"product_index\":0,\n   \"facing_x\":6,\n   \"facing_y\":1,\n   \"width\":null,\n   \"height\":null,\n   \"created_at\":\"2018-09-02T18:53:39.743058Z\",\n   \"updated_at\":\"2018-09-02T18:53:39.743081Z\",\n   \"planogram\":32,\n   \"sku\":7386\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "BcmDi-d9UM-V1Lp9EpJ4I"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X GET\r\n  https://test.eyrene.com/api/v1.5/planograms/1/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ ",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "GET /planogram_records/{id}",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-2",
  "legacyHash": "gr5qvd6R7rqeCMlJgyO8O"
}
```
:::

## Response parameters

***

**`id`** *string*

Unique ID.

***

**`rack_index`** *integer*

Rack number, from left to right starting from 0.

***

**`shelf_index`** *integer*

Shelf number in the rack, from top to bottom starting from 0.

***

**`product_index`** *integer*

Record position in the planogram. Positions are numbered left to right and top to bottom starting from 0, i.e. top left SKU in the planogram has `product_index = 0` , and the bottom right one has a maximal product\_index.

***

**`facing_x`** *integer*

A number of horizontal SKU facings.

***

**`facing_y`** *integer*

A number of vertical SKU facings (a pile).

***

**`width`** *integer*

Width of a product.

***

**`height`** *integer*

Height of a product.

***

**`planogram`** *string*

[Planogram](https://docs.eyrene.com/planograms) ID.

***

**`sku`** *string*

[SKU](https://docs.eyrene.com/sku) ID.

***

[](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions)
::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#f77d05">PUT</font> /planogram\_records/&#x7B;id}

Update all fields of the planogram record.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/planogram_records/{id}",
  "name": "Request example",
  "method": "PUT",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "Planogram ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "rack_index",
        "type": "Number",
        "description": "Rack number, from left to right starting from 0."
      },
      {
        "kind": "optional",
        "name": "shelf_index",
        "type": "Number",
        "description": "Shelf number in the rack, from top to bottom starting from 0."
      },
      {
        "kind": "optional",
        "name": "product_index",
        "type": "Number",
        "description": "Record position in the planogram. Positions are numbered left to right and top to bottom starting from 0, i.e. top left SKU in the planogram has product_index = 0 and bottom right one has a maximal product_index."
      },
      {
        "kind": "optional",
        "name": "facing_x",
        "type": "string",
        "description": "Number of horizontal SKU facings."
      },
      {
        "kind": "optional",
        "name": "facing_y",
        "type": "string",
        "description": "Number of vertical SKU facings (a pile)."
      },
      {
        "kind": "optional",
        "name": "width",
        "type": "string",
        "description": "Width of a product."
      },
      {
        "kind": "optional",
        "name": "height",
        "type": "string",
        "description": "Height of a product."
      },
      {
        "kind": "optional",
        "name": "planogram",
        "type": "string",
        "description": "Planogram ID."
      },
      {
        "kind": "optional",
        "name": "sku",
        "type": "string",
        "description": "SKU ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "L7oDtGV1IY14Re9Xv3AXQ",
        "code": "{\n   \"id\":3,\n   \"rack_index\":1,\n   \"shelf_index\":3,\n   \"product_index\":4,\n   \"facing_x\":6,\n   \"facing_y\":1,\n   \"width\":132,\n   \"height\":30,\n   \"created_at\":\"2018-09-02T18:53:39.743058Z\",\n   \"updated_at\":\"2018-09-02T18:53:39.743081Z\",\n   \"planogram\":1,\n   \"sku\":11\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "L7oDtGV1IY14Re9Xv3AXQ"
  },
  "examples": {
    "languages": [
      {
        "id": "GBxujaKFUEJ3yAzlqWoID",
        "code": "curl –i –X PUT\n  https://test.inspector-cloud.com/api/v1.5/planogram_records/1/ \n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \n  -F \"id=3\" \\\n  -F \"rack_index=1\" \\\n  -F \"shelf_index=3\" \\\n  -F \"product_index=4\" \\\n  -F \"facing_x=6\" \\\n  -F  \"facing_y=1\" \\\n  -F  \"width=132\" \\\n  -F  \"height=30\" \\\n  -F  \"planogram=1\" \\\n  -F  \"sku=11\"",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "GBxujaKFUEJ3yAzlqWoID"
  },
  "description": "PUT /planogram_records/{id}",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-3",
  "legacyHash": "6i5e_cfLjJsrMlsE9-jgb"
}
```
:::

## [​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions-1)Response parameters

***

**`id`** *string*

Unique ID.

***

**`rack_index`** *integer*

Rack number, from left to right starting from 0.

***

**`shelf_index`** *integer*

Shelf number in the rack, from top to bottom starting from 0.

***

**`product_index`** *integer*

Record position in the planogram. Positions are numbered left to right and top to bottom starting from 0, i.e. top left SKU in the planogram has `product_index = 0` , and the bottom right one has a maximal product\_index.

***

**`facing_x`** *integer*

A number of horizontal SKU facings.

***

**`facing_y`** *integer*

A number of vertical SKU facings (a pile).

***

**`width`** *integer*

Width of a product.

***

**`height`** *integer*

Height of a product.

***

**`planogram`** *string*

[Planogram](https://docs.eyrene.com/planograms) ID.

***

**`sku`** *string*

[SKU](https://docs.eyrene.com/sku) ID.

***


::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#03d1eb">PATCH</font> /planogram\_records/&#x7B;id}

Update some fields in the planogram record.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/planogram_records/{id}",
  "name": "Request example",
  "method": "PATCH",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "Planogram ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "rack_index",
        "type": "Number",
        "description": "Rack number, from left to right starting from 0."
      },
      {
        "kind": "optional",
        "name": "shelf_index",
        "type": "Number",
        "description": "Shelf number in the rack, from top to bottom starting from 0."
      },
      {
        "kind": "optional",
        "name": "product_index",
        "type": "Number",
        "description": "Record position in the planogram. Positions are numbered left to right and top to bottom starting from 0, i.e. top left SKU in the planogram has product_index = 0 and bottom right one has a maximal product_index."
      },
      {
        "kind": "optional",
        "name": "facing_x",
        "type": "Integer",
        "description": "Number of horizontal SKU facings."
      },
      {
        "kind": "optional",
        "name": "facing_y",
        "type": "Integer",
        "description": "Number of vertical SKU facings (a pile)."
      },
      {
        "kind": "optional",
        "name": "width",
        "type": "string",
        "description": "Width of a product."
      },
      {
        "kind": "optional",
        "name": "height",
        "type": "string",
        "description": "Height of a product."
      },
      {
        "kind": "optional",
        "name": "planogram",
        "type": "string",
        "description": "Planogram ID."
      },
      {
        "kind": "optional",
        "name": "sku",
        "type": "string",
        "description": "SKU ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "BcmDi-d9UM-V1Lp9EpJ4I",
        "code": "{\n   \"id\":3,\n   \"rack_index\":1,\n   \"shelf_index\":3,\n   \"product_index\":0,\n   \"facing_x\":6,\n   \"facing_y\":1,\n   \"width\":null,\n   \"height\":null,\n   \"created_at\":\"2018-09-02T18:53:39.743058Z\",\n   \"updated_at\":\"2018-09-02T18:53:39.743081Z\",\n   \"planogram\":32,\n   \"sku\":7386\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "BcmDi-d9UM-V1Lp9EpJ4I"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X PATCH\r\n  https://test.eyrene.com/api/v1.5/planogram_records/1/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’\r\n  -F \"id=3\" \\\r\n  -F \"rack_index=1\" \\\r\n  -F \"shelf_index=3\" ",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "PATCH /planogram_records/{id}",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-4",
  "legacyHash": "FRYlhGWJCj6nWkMv7YtlZ"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions-1)

***

**`id`** *string*

Unique ID.

***

**`rack_index`** *integer*

Rack number, from left to right starting from 0.

***

**`shelf_index`** *integer*

Shelf number in the rack, from top to bottom starting from 0.

***

**`product_index`** *integer*

Record position in the planogram. Positions are numbered left to right and top to bottom starting from 0, i.e. top left SKU in the planogram has `product_index = 0` , and the bottom right one has a maximal product\_index.

***

**`facing_x`** *integer*

A number of horizontal SKU facings.

***

**`facing_y`** *integer*

A number of vertical SKU facings (a pile).

***

**`width`** *integer*

Width of a product.

***

**`height`** *integer*

Height of a product.

***

**`planogram`** *string*

[Planogram](https://docs.eyrene.com/planograms) ID.

***

**`sku`** *string*

[SKU](https://docs.eyrene.com/sku) ID.

***


::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#e95c5c">DELETE</font> /planogram\_records/&#x7B;id}

Delete planogram record by ID.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/planogram_records/{id}",
  "name": "Request example",
  "method": "DELETE",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "Planogram ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "dU9xR9j8Bu4jftmV8BprY",
        "code": "{\n   \"result\":\"OK\"\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dU9xR9j8Bu4jftmV8BprY"
  },
  "examples": {
    "languages": [
      {
        "id": "N8QhhTSDO9fbQybTRclDg",
        "code": "curl –i –X DELETE\n  https://test.eyrene.com/api/v1.5/planogram_records/1/\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "N8QhhTSDO9fbQybTRclDg"
  },
  "description": "DELETE /planogram_records/{id}",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-5",
  "legacyHash": "BtvLrQrOEr8chR6Qu4TFW"
}
```
:::
::::

***

